Get list of consignments of a wave pick job
Path Parameters
- Type: stringFormat: uuidjob
Id required
Query Parameters
- Type: booleanInclude
Void Whether void consignments should be included.
Responses
- application/json
Request Example for get/v1/jobs/{jobId}/wave-pick/consignments
curl 'https://api.consignlyhq.com/v1/jobs/123e4567-e89b-12d3-a456-426614174000/wave-pick/consignments?IncludeVoid=true'
{
"consignments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"clientName": null,
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"clientCode": null,
"carrierId": null,
"carrierName": null,
"carrierCode": null,
"carrierReferenceNumber": null,
"carrierRunNumber": null,
"carrierRunOrdinal": null,
"consignmentNumber": null,
"referenceNumber": null,
"dateEntered": "date (YYYY-MM-DD)",
"type": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
"status": "enum (Complete = 0, Pending = 1, ReadyToPick = 2, ReadyToDispatch = 3, ReadyToReceive = 4, InProgress = 5, Closed = 6, InTransit = 7, Draft = 8, Void = -2, Open = -1)",
"warehouseId": null,
"warehouseCode": null,
"warehouseName": null,
"ediStatus": null
}
]
}